Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface JDBCStatementProfile

All Superinterfaces:
  Serializable

public interface JDBCStatementProfile
extends Serializable

This interface provides execution profile of SQL statement.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getParameter(int prmInd)` Returns value of a prepared statement parameter with index `prmInd`.
`int` | `getParameterCount()` Returns number of prepared statement parameters for this profile
`String` | `getPoolName()` Returns name of connection pool this SQL statement belongs to
`long` | `getStartTime()` Returns start time of the SQL statement
`String` | `getStatementText()` Returns text of the SQL statement
`long` | `getStopTime()` Returns Stop time of the SQL statement
`String` | `getThreadId()` Returns thread Id for the SQL statement
`long` | `getTimeTaken()` Returns time taken to execute this SQL statement

Method Detail

### getParameter

    public String getParameter(int prmInd)

  Returns value of a prepared statement parameter with index `prmInd`.

  Parameters:
    `prmInd` -
  Returns:
    The parameter value

### getParameterCount

    public int getParameterCount()

  Returns number of prepared statement parameters for this profile

  Returns:
    The parameterCount value

### getPoolName

    public String getPoolName()

  Returns name of connection pool this SQL statement belongs to

  Returns:
    The poolName value

### getStartTime

    public long getStartTime()

  Returns start time of the SQL statement

  Returns:
    The startTime value

### getStatementText

    public String getStatementText()

  Returns text of the SQL statement

  Returns:
    The statementText value

### getStopTime

    public long getStopTime()

  Returns Stop time of the SQL statement

  Returns:
    The stopTime value

### getThreadId

    public String getThreadId()

  Returns thread Id for the SQL statement

  Returns:
    The threadId value

### getTimeTaken

    public long getTimeTaken()

  Returns time taken to execute this SQL statement

  Returns:
    The timeTaken value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD